<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for C:\xampp\htdocs\blog\app/Http</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/style.css" rel="stylesheet" type="text/css">
  <link href="../.css/custom.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../.js/html5shiv.min.js"></script>
  <script src="../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../index.html">C:\xampp\htdocs\blog\app</a></li>
        <li><a href="index.html">Http</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AuthController.php.html#13">App\Http\Controllers\AuthController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#19">App\Http\Controllers\DoctorController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#10">App\Http\Controllers\PatientController</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/DoctorController.php.html#19">App\Http\Controllers\DoctorController</a></td><td class="text-right">306</td></tr>
       <tr><td><a href="Controllers/AuthController.php.html#13">App\Http\Controllers\AuthController</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#10">App\Http\Controllers\PatientController</a></td><td class="text-right">56</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AuthController.php.html#18"><abbr title="App\Http\Controllers\AuthController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#98"><abbr title="App\Http\Controllers\DoctorController::getServicesAmount">getServicesAmount</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#36"><abbr title="App\Http\Controllers\PatientController::makeAppointment">makeAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#30"><abbr title="App\Http\Controllers\PatientController::getAppointments">getAppointments</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#24"><abbr title="App\Http\Controllers\PatientController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#15"><abbr title="App\Http\Controllers\PatientController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#121"><abbr title="App\Http\Controllers\DoctorController::printInvoice">printInvoice</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#113"><abbr title="App\Http\Controllers\DoctorController::paymentConfirm">paymentConfirm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#88"><abbr title="App\Http\Controllers\DoctorController::appointmentSubmit">appointmentSubmit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/AuthController.php.html#26"><abbr title="App\Http\Controllers\AuthController::registerProcess">registerProcess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#73"><abbr title="App\Http\Controllers\DoctorController::appointmentDetailShow">appointmentDetailShow</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#68"><abbr title="App\Http\Controllers\DoctorController::getAppointment">getAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#45"><abbr title="App\Http\Controllers\DoctorController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#28"><abbr title="App\Http\Controllers\DoctorController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/AuthController.php.html#62"><abbr title="App\Http\Controllers\AuthController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/AuthController.php.html#40"><abbr title="App\Http\Controllers\AuthController::loginProcess">loginProcess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#72"><abbr title="App\Http\Controllers\PatientController::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AuthController.php.html#40"><abbr title="App\Http\Controllers\AuthController::loginProcess">loginProcess</abbr></a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#45"><abbr title="App\Http\Controllers\DoctorController::index">index</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#98"><abbr title="App\Http\Controllers\DoctorController::getServicesAmount">getServicesAmount</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#73"><abbr title="App\Http\Controllers\DoctorController::appointmentDetailShow">appointmentDetailShow</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Controllers/PatientController.php.html#36"><abbr title="App\Http\Controllers\PatientController::makeAppointment">makeAppointment</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Controllers/AuthController.php.html#26"><abbr title="App\Http\Controllers\AuthController::registerProcess">registerProcess</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Controllers/DoctorController.php.html#121"><abbr title="App\Http\Controllers\DoctorController::printInvoice">printInvoice</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.0.7</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.11</a> with <a href="https://xdebug.org/">Xdebug 2.6.1</a> and <a href="https://phpunit.de/">PHPUnit 7.3.2</a> at Thu Nov 22 6:37:42 UTC 2018.</small>
    </p>
   </footer>
  </div>
  <script src="../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../.js/holder.min.js" type="text/javascript"></script>
  <script src="../.js/d3.min.js" type="text/javascript"></script>
  <script src="../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([3,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([17,0,0,0,0,0,0,0,0,0,0,0], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,9,"<a href=\"Controllers\/AuthController.php.html#13\">App\\Http\\Controllers\\AuthController<\/a>"],[0,17,"<a href=\"Controllers\/DoctorController.php.html#19\">App\\Http\\Controllers\\DoctorController<\/a>"],[0,7,"<a href=\"Controllers\/PatientController.php.html#10\">App\\Http\\Controllers\\PatientController<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controllers\/AuthController.php.html#18\">App\\Http\\Controllers\\AuthController::__construct<\/a>"],[0,2,"<a href=\"Controllers\/AuthController.php.html#26\">App\\Http\\Controllers\\AuthController::registerProcess<\/a>"],[0,5,"<a href=\"Controllers\/AuthController.php.html#40\">App\\Http\\Controllers\\AuthController::loginProcess<\/a>"],[0,1,"<a href=\"Controllers\/AuthController.php.html#62\">App\\Http\\Controllers\\AuthController::logout<\/a>"],[0,1,"<a href=\"Controllers\/DoctorController.php.html#28\">App\\Http\\Controllers\\DoctorController::__construct<\/a>"],[0,4,"<a href=\"Controllers\/DoctorController.php.html#45\">App\\Http\\Controllers\\DoctorController::index<\/a>"],[0,1,"<a href=\"Controllers\/DoctorController.php.html#68\">App\\Http\\Controllers\\DoctorController::getAppointment<\/a>"],[0,3,"<a href=\"Controllers\/DoctorController.php.html#73\">App\\Http\\Controllers\\DoctorController::appointmentDetailShow<\/a>"],[0,1,"<a href=\"Controllers\/DoctorController.php.html#88\">App\\Http\\Controllers\\DoctorController::appointmentSubmit<\/a>"],[0,4,"<a href=\"Controllers\/DoctorController.php.html#98\">App\\Http\\Controllers\\DoctorController::getServicesAmount<\/a>"],[0,1,"<a href=\"Controllers\/DoctorController.php.html#113\">App\\Http\\Controllers\\DoctorController::paymentConfirm<\/a>"],[0,2,"<a href=\"Controllers\/DoctorController.php.html#121\">App\\Http\\Controllers\\DoctorController::printInvoice<\/a>"],[0,1,"<a href=\"Controllers\/PatientController.php.html#15\">App\\Http\\Controllers\\PatientController::__construct<\/a>"],[0,1,"<a href=\"Controllers\/PatientController.php.html#24\">App\\Http\\Controllers\\PatientController::index<\/a>"],[0,1,"<a href=\"Controllers\/PatientController.php.html#30\">App\\Http\\Controllers\\PatientController::getAppointments<\/a>"],[0,3,"<a href=\"Controllers\/PatientController.php.html#36\">App\\Http\\Controllers\\PatientController::makeAppointment<\/a>"],[0,1,"<a href=\"Controllers\/PatientController.php.html#72\">App\\Http\\Controllers\\PatientController::createAppointment<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
